#include "Card.h"

#if SME_MGI/*dhlee_040207*/
const char MGI_WorkingVer[16] = "MGI-V116:080606";
#endif

/*
+-----+--------+--------------------------------------------------------+
| No. |  Date  |               R  e  m  a  r  k  s                      |
+-----+--------+--------------------------------------------------------+
|  1  |03.07.23| OfficeServ SME - MGI pkg version 0.10 (AC48204)        |
|  2  |03.07.30| implement VP1.44 completely version  0.20 (AC48204)    |
|  3  |03.08.04| tunning a performance version 0.21 (AC48204)           |
|  4  |03.08.11| modify LED definition                                  |
|  5  |03.08.16| modify IP,GW,Subnet check routine                      |
|  6  |03.08.18| modify Warm & Cold boot check routine                  |
|  7  |03.08.20| bug fix (Warm & Cold boot check routine)               |
|  8  |03.08.22| Delete H.323 Stack                                     |
|  9  |03.08.23| Autonego Bug Fix                                       |
| 10  |03.08.25| add peer ip addr information on chanstate fn.          |
| 11  |03.08.27| IP Phone Autonego Bug Fix & Add Phy MMC.               |
| 12  |03.08.28| Change Kernel & Program to DL file.                    |
|     |        | Disable interrupt as sending alive message             |
| 13  |03.09.09| Change Silence & Multiframe on service-online          |
| 14  |03.09.15| Add dubug command                                      |
| 15  |03.09.23| Add DSP error counting function.                       |
| 16  |03.09.29| Change reset function.                                 |
|     |        | Set PCM Time slot info as soon as activating channel   |
| 17  |03.10.01| Change DRAMCON0 20040380->200403f2                     |
| 18  |03.10.02| Change DRAMCON0 200403f2->20040380(Recover)            |
| 19  |03.10.04| Add 48104, 48004                                       |
| 20  |03.10.15| Modify the ISR                                         |
| 21  |03.10.25| Modify the ISR in intrhndl.c, MainIntrHandler          |
| 22  |03.10.29| Use no socket to read RTP packet.                      |
|     |        | Modify mac50k.c/rtp_main.c                             |
| 23  |03.10.30| CAS disable, CallerID detector disable                 |
| 24  |03.10.31| Fix the Silence Mode to Disable.                       |
|     |        | Change DTMFCmd, MEG parameter.                         |
| 25  |03.11.04| Add the Unix Command.                                  |
| 26  |03.11.05| Modify G.711 on-line processing. (bug fix)             |
| 27  |03.11.07| Echo Cancelation depends on Silence Disable...(test)   |
| 28  |03.11.10| Modify RFC2833 DTMF valid check procedure...           |
| 29  |03.11.13| error processing change.                               |
| 30  |03.11.16| Recover Routine, dhlee_031115                          |
| 31  |03.11.20| Recover Routine, default time is set to 3Hr.           |
| 32  |03.11.25| Add showchinfo command.                                |
| 33  |03.11.26| Change test_mode_flag value(because of system crashing)|
| 34  |03.11.27| make a release pkg version.                            |
| 35  |03.11.27| DTMF bug fix.                                          |
| 36  |03.11.28| Enable VAD off function.                               |
| 37  |03.12.01| Enable Online VAD function.                            |
|     |        | Modify Recovery Routine.                               |
| 38  |03.12.05| set TxM=3 over 10 channel currnet call.                |
| 39  |03.12.16| Alive message include MGI Mac Address Information.     |
| 40  |03.12.16| Remove delay as initializing DSP.                      |
|     |        | and Change sw delay(sc_delay) into counter delay.      |
| 41  |03.12.17| Add the RTCS check routine.                            |
| 42  |03.12.18| Remove infinite looping at Program Download Routine.   |
|     |        | You can see the dsp initial result by 'dspinfo'.       |
|     |        | Clear LPM Reset Interrupt on initialization.           |
|     |03.12.22| Bug Fix Multiframing for Performance,DSPInit Retry(KJG)|
| 43  |04.02.03| Bug Fix Multiframing for G.711 online change for CRCX  |
| 44  |04.02.06| G.711 processing bug fix for AC48004 chip              |
|     |        | DSPMaxCoderFrameTime_4804[] table is for AC48004       |
|-----+--------+--------------------------------------------------------|
|     |        | Apply the MGI v4 original source to MGI3.              |
| 45  |04.02.06| G.711 processing bug fix for AC48004 chip              |
| 46  |04.02.07| MGI3 & MGI dual source code process.                   |
|     |        | /include/Card.h                                        |
|     |        | /syssw/startup/memmap.h                                |
|     |        | /itmos/inc/itm2ver.h                                   |
|     |        | /syssw/offline/boot.h                                  |
|     |        | #define MGI3                                           |
|     |        | #define SME_MGI                                        |
|     |        | #define AC48X_DEVICE_TYPE                              |
|     |        | #define SERV_DSP_DEVICE_TYPE                           |
|     |        | #define CLI_DSP_DEVICE_TYPE                            |
| 47  |04.02.17| G.711 10m modify                                       |
| 48  |04.02.20| add loop_limit_count_val & change default value        |
| 49  |04.02.23| add long-run DSP initial test routine.                 |
| 50  |04.03.05| remove arp & add peer ip check as receiving RTP packet.|
| 51  |04.03.31| recover the multiframe information as active call is 10|
| 52  |04.04.01| recover the silence disable as using G.711             |
| 53  |04.04.14| Modify RTP Tx by using Ethernet driver of pSOS         |
| 54  |04.04.22| Merge MGI3 48004 & 48204 S/W pkg                       |
| 55  |04.04.29| When misalignment happens, DSP is reinitialized        |
| 56  |04.05.08| Add the warm booting function.                         |
|     |        | /syssw/startup/db_dram.c BootPkgVer[]                  |
| 57  |04.05.18| Modify the codec change fn at online.                  |
| 58  |04.05.20| Add the EC chip initial routine.                       |
| 59  |04.11.24| Change the Echo Hybird Loss.  
| 60  |07.10.23| Modify T.38 ECM and Enable/disable (Reboot)            |             |
| 61  |08.04.11| Prevent TCP Attack at mac50k.c
| 62  |08.06.06| T.38 Fax problem when UDPTL sequence number is over 0x8000. rtpdecorder 
+-----+--------+--------------------------------------------------------+
*/
